#include <amxmodx>
#include <cstrike>
#include <hamsandwich>
 
#define PLUGIN "[Death PSpawn]"
#define VERSION "0.1"
#define AUTHOR "Sn1k3rS"
 
#define g_CostRespawn		get_pcvar_num(cvarcostrespawn)

new cvarcostrespawn
new cvar_dp_respawn

new SayText

public plugin_init()
{
        register_plugin(PLUGIN, VERSION, AUTHOR )
        
        RegisterHam(Ham_Killed, "player", "g_Spawn") 
        
        cvarcostrespawn = register_cvar("dp_cost_respawn", "9500")  //Cost the respawn
        cvar_dp_respawn = register_cvar("dp_enable", "1")  //on: 1/off: 2
        
        SayText = get_user_msgid("SayText")
}

public g_Spawn(id)
{	
if(!(get_pcvar_num(cvar_dp_respawn)))
{
	return PLUGIN_CONTINUE
}
if(cs_get_user_money(id) >= g_CostRespawn)
{
OpenRespawnMenu(id)  
}
return PLUGIN_HANDLED
}


 
public OpenRespawnMenu(id)
{      
	new g_Money = cs_get_user_money(id)

        new szText[ 555 char ]
        formatex(szText, charsmax( szText ), "\yВозродиться за \r%d \y$ ?^n\wТвои Деньги\d: \r%d \y$",g_CostRespawn,g_Money)
       
        new menu = menu_create( szText, "menu" )
       
        formatex( szText, charsmax( szText ), "Да")
        menu_additem(menu,szText,"1",0)
       
        formatex( szText, charsmax( szText ), "Нет")
        menu_additem(menu,szText,"2",0)
       
        menu_setprop( menu, MPROP_EXIT,MEXIT_NEVER)
        menu_display(id,menu,0)
       
        return PLUGIN_CONTINUE
}
 
public menu( id, menu, item )
{
        if( item == MENU_EXIT )
        {
                menu_destroy( menu )
                return PLUGIN_HANDLED
        }
       
        new data[6], iName[64], access, callback
       
        menu_item_getinfo(menu, item, access, data,5, iName, 63, callback)
 
        new key = str_to_num( data )
       
        switch ( key ) 
        {
                case 1:
                {
                if(cs_get_user_money(id) < g_CostRespawn)
                {
                print_col_chat(id, "^4[^3Death PSpawn^4]^1 У ^3вас^1 не хватает денег!")
                return PLUGIN_HANDLED
                }
                new name[32]
                get_user_name(id, name, 31)
                ExecuteHamB(Ham_CS_RoundRespawn,id)
                cs_set_user_money(id, cs_get_user_money(id) - g_CostRespawn)
                print_col_chat(0, "^4[^3Death PSpawn^4]^1 Игрок ^3%s^1 купил возрождение!",name)
                }
                
                case 2:
                {
                        print_col_chat(id, "^4[^3Death PSpawn^4]^1 Вы ^3отказались^1 от покупки возрождение!")
                        menu_destroy(menu)
                        return PLUGIN_HANDLED
                }
        }
        menu_destroy(menu)
        return PLUGIN_HANDLED
}

stock print_col_chat(const id, const input[], any:...) 
{ 
    new count = 1, players[32]; 
    static msg[191]; 
    vformat(msg, 190, input, 3); 
    replace_all(msg, 190, "!g", "^4");
    replace_all(msg, 190, "!y", "^1");
    replace_all(msg, 190, "!t", "^3");
    if (id) players[0] = id; else get_players(players, count, "ch"); 
    { 
        for ( new i = 0; i < count; i++ ) 
        { 
            if ( is_user_connected(players[i]) ) 
            { 
                message_begin(MSG_ONE_UNRELIABLE, SayText, _, players[i]); 
                write_byte(players[i]); 
                write_string(msg); 
                message_end(); 
            } 
        } 
    } 
}